curl --request GET \
--url https://api.devhelm.io/api/v1/services/summary \
--header 'Authorization: Bearer <token>'{
"data": {
"totalServices": 123,
"operationalCount": 123,
"degradedCount": 123,
"partialOutageCount": 123,
"majorOutageCount": 123,
"maintenanceCount": 123,
"unknownCount": 123,
"activeIncidentCount": 123,
"servicesWithIssues": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"category": "<string>",
"officialStatusUrl": "<string>",
"developerContext": "<string>",
"logoUrl": "<string>",
"adapterType": "<string>",
"pollingIntervalSeconds": 123,
"enabled": true,
"overallStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"componentCount": 123,
"activeIncidentCount": 123,
"dataCompleteness": "<string>",
"uptime30d": 123
}
]
}
}Returns aggregate counts of services by status and a list of services currently experiencing issues.
curl --request GET \
--url https://api.devhelm.io/api/v1/services/summary \
--header 'Authorization: Bearer <token>'{
"data": {
"totalServices": 123,
"operationalCount": 123,
"degradedCount": 123,
"partialOutageCount": 123,
"majorOutageCount": 123,
"maintenanceCount": 123,
"unknownCount": 123,
"activeIncidentCount": 123,
"servicesWithIssues": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"category": "<string>",
"officialStatusUrl": "<string>",
"developerContext": "<string>",
"logoUrl": "<string>",
"adapterType": "<string>",
"pollingIntervalSeconds": 123,
"enabled": true,
"overallStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"componentCount": 123,
"activeIncidentCount": 123,
"dataCompleteness": "<string>",
"uptime30d": 123
}
]
}
}